diff --git a/virStream.cs b/virStream.cs
new file mode 100644
index 0000000..52aa8ec
--- /dev/null
+++ b/virStream.cs
@@ -0,0 +1,43 @@
+﻿/*
+ * Copyright (C)
+ *   Arnaud Champion <arnaud.champion@devatom.fr>
+ *   Jaromír Červenka <cervajz@cervajz.com>
+ *
+ * See COPYING.LIB for the License of this software
+ */
+
+namespace LibvirtBindings
+{
+    public class virStream
+    {
+        // TODO virStreamAbort
+
+        // TODO virStreamEventAddCallback
+
+        // TODO virStreamEventCallback
+
+        // TODO virStreamEventRemoveCallback
+
+        // TODO virStreamEventUpdateCallback
+
+        // TODO virStreamFinish
+
+        // TODO virStreamFree
+
+        // TODO virStreamNew
+
+        // TODO virStreamRecv
+
+        // TODO virStreamRecvAll
+
+        // TODO virStreamRef
+
+        // TODO virStreamSend
+
+        // TODO virStreamSendAll
+
+        // TODO virStreamSinkFunc
+
+        // TODO virStreamSourceFunc
+    }
+}
-- 
1.7.2.3.msysgit.0

